<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<f:if condition="{day}">
    <f:if condition="{day.rooms} && {day.slots}">
        <div class="o-content   o-content--table">
            <div class="o-content__inner">
                <div class="o-content__headline" id="{day.uid}">
                    <h2>{day.name}, <f:format.date format="d.m.Y">@{day.date}</f:format.date></h2>
                </div>
                <div class="o-table-sessionplaner__table" data-columns="{day.rooms -> f:count()}">
                    <div class="o-table-sessionplaner__row">
                        <div class="o-table-sessionplaner__head o-table-sessionplaner__head--slot"></div>
                        <f:for each="{day.rooms}" as="room">
                            <div class="o-table-sessionplaner__head o-table-sessionplaner__head--data">{room.name}</div>
                        </f:for>
                    </div>

                    <f:for each="{day.slots}" as="slot">
                        <div class="o-table-sessionplaner__row">
                            <f:comment><!-- Time --></f:comment>
                            <div class="o-table-sessionplaner__column o-table-sessionplaner__column--slot">
                                <div><sessionplanervh:format.time value="{slot.start}" /></div>
                                <div><sessionplanervh:format.time value="{slot.end}" /></div>
                            </div>

                            <f:if condition="{slot.break}">
                                <f:then>
                                    <f:comment><!-- Break --></f:comment>
                                    <div class="o-table-sessionplaner__column o-table-sessionplaner__column--content">
                                        <div class="o-table-sessionplaner__column o-table-sessionplaner__column--break">
                                            <f:if condition="{slot.description}">{slot.description -> f:format.html()}</f:if>
                                        </div>
                                    </div>
                                </f:then>
                                <f:else>
                                    <f:comment><!-- Session --></f:comment>
                                    <div class="o-table-sessionplaner__column o-table-sessionplaner__column--content">
                                        <f:for each="{day.rooms}" as="room">
                                            <f:variable name="hasSessions" value="0" />
                                            <f:for each="{room.sessions}" as="session">
                                                <f:if condition="{session.day} == {day} && {session.slot} == {slot}">
                                                    <f:variable name="hasSessions" value="1" />
                                                </f:if>
                                            </f:for>
                                            <div class="o-table-sessionplaner__column o-table-sessionplaner__column--data{f:if(condition: '{hasSessions}', then: ' o-table-sessionplaner__column--has-session')}">
                                                <f:if condition="{room.sessions}">
                                                    <f:if condition="{hasSessions}">
                                                        <f:for each="{room.sessions}" as="session">
                                                            <f:if condition="{session.day} == {day} && {session.slot} == {slot}">
                                                                <span class="o-table-sessionplaner__room">{session.room.name}</span>
                                                                <f:if condition="{session.speakers}">
                                                                    <f:then>
                                                                        <f:comment><!-- Speaker records --></f:comment>
                                                                        <span class="o-table-sessionplaner__speaker">
                                                                            <f:for each="{session.speakers}" as="speaker" iteration="speakerIterator">
                                                                                {speaker.name}{f:if(condition: '{speakerIterator.isLast}', then: '', else: ', ')}
                                                                            </f:for>
                                                                        </span>
                                                                    </f:then>
                                                                    <f:else>
                                                                        <f:if condition="{session.speaker}">
                                                                            <f:comment><!-- Speaker plain text --></f:comment>
                                                                            <span class="o-table-sessionplaner__speaker">{session.speaker}</span>
                                                                        </f:if>
                                                                    </f:else>
                                                                </f:if>
                                                                <f:if condition="{session.donotlink}">
                                                                    <f:then>{session.topic}</f:then>
                                                                    <f:else>
                                                                        <f:link.action
                                                                            controller="Session"
                                                                            action="show"
                                                                            pluginName="Session"
                                                                            pageUid="{settings.singlePid}"
                                                                            arguments="{session:session}"
                                                                            title="{session.topic}"
                                                                            class="o-link o-link--underlined"
                                                                        >
                                                                            {session.topic}
                                                                        </f:link.action>
                                                                    </f:else>
                                                                </f:if>
                                                                <f:if condition="{session.tags}">
                                                                    <f:comment><!-- Tags --></f:comment>
                                                                    <div class="o-table-sessionplaner__tags">
                                                                        <f:for each="{session.tags}" as="tag">
                                                                            <span class="sessionplaner-tag{f:if(condition: tag.color, then: ' sessionplaner-tag-{tag.color}')}">{tag.label}</span>
                                                                        </f:for>
                                                                    </div>
                                                                </f:if>
                                                            </f:if>
                                                        </f:for>
                                                    </f:if>
                                                </f:if>
                                            </div>
                                        </f:for>
                                    </div>
                                </f:else>
                            </f:if>
                        </div>
                    </f:for>
                </div>
            </div>
        </div>
    </f:if>
</f:if>

</html>
